#!/bin/sh
rm -rf www/*
cp -v src/style.css www
cd src

for name in *.md; do
  newname="$(echo "$name" | sed -ne 's/md/html/gp')"
  cp $name $newname #mdからhtmlにコピーする

  # マークダウンはHTML化
  sed -i 's/^# \(.*\)/<h1>\1<\/h1>/g' $newname #h1タグ
  sed -i 's/\\/<br \/>/g' $newname #brタグ
  sed -i 's/^\(.*\)/    \0/g' $newname #４つ空白を入る
  sed -i 's/\[\(.*\)\](\(.*\))/<a href="\2">\1<\/a>/g' $newname #リンクタグ

  # 合体
  cat include/header.html include/menu.html $newname include/footer.html >> ../www/$newname
  echo "'src/$name' -> 'www/$newname'"

  # HTMLファイルはもう不要だ
  rm -rf $newname
done

cd ../www

# 「active」タグを付く
for name in *.html; do
  if [ $name = 'index.html' ]; then
    sed -i "s/href=\"\/\"/href=\"\/\" class=\"active\"/g" $name
  else
    sed -i "s/href=\"\/$name\"/href=\"\/$name\" class=\"active\"/g" $name
  fi
done

cd ..
